libepubgen Namespace Reference documentation

Namespaces | Classes | Typedefs | Functions | Variables
libepubgen Namespace Reference

## Namespaces
| EPUBDrawingGenerator
| EPUBPresentationGenerator
| EPUBTextGenerator

## Classes
class | EPUBBinarySink
class | EPUBCounter
class | EPUBCSSSink
class | EPUBFontManager
| Manages embedded fonts. More...
struct | EPUBGENDummyDeleter
class | EPUBGenerator
class | EPUBHTMLGenerator
struct | EPUBHTMLGeneratorImpl
| the internal state of a html document generator More...
class | EPUBHTMLManager
class | EPUBImageManager
class | EPUBListStyleManager
| Small class to manage the list style. More...
class | EPUBManifest
class | EPUBPagedGenerator
class | EPUBParagraphStyleManager
| Small class to manage the paragraph style. More...
class | EPUBPath
| Representation of a path in the package. More...
class | EPUBSpanStyleManager
| Small class to manage the span style. More...
class | EPUBSplitGuard
class | EPUBTableStyleManager
| Small class to manage the tables style. More...
class | EPUBTextElement
class | EPUBTextElements
class | EPUBXMLElement
class | EPUBXMLSink
class | GenericException

## Typedefs
typedef std::map< std::string, std::string > | EPUBCSSProperties
typedef std::shared_ptr< EPUBHTMLGenerator > | EPUBHTMLGeneratorPtr_t
typedef std::shared_ptr< librevenge::RVNGInputStream > | RVNGInputStreamPtr_t

## Functions
void | fillPropertyList (const EPUBCSSProperties &cssProps, librevenge::RVNGPropertyList &props)
bool | operator== (const EPUBPath &left, const EPUBPath &right)
bool | operator!= (const EPUBPath &left, const EPUBPath &right)
const EPUBPath | operator/ (const EPUBPath &base, const EPUBPath &subpath)
const EPUBPath | operator/ (const EPUBPath &base, const std::string &pathComponent)
void | swap (EPUBPath &left, EPUBPath &right)
static bool | isValidMimeType (const RVNGString &mediaType)
| Checks if the media type is an EPUB 3 Core Media Type or not. More...
template<typename T , typename... Args>
std::unique_ptr< T > | make_unique (Args &&... args)

## Variables
static const unsigned | DEFAULT_SPLIT_HEADING_LEVEL = 1
static const unsigned | DEFAULT_SPLIT_SIZE = 1 << 16

## Typedef Documentation

## ◆ EPUBCSSProperties

typedef std::map<std::string, std::string> libepubgen::EPUBCSSProperties

## ◆ EPUBHTMLGeneratorPtr_t

typedef std::shared_ptr<EPUBHTMLGenerator> libepubgen::EPUBHTMLGeneratorPtr_t

## ◆ RVNGInputStreamPtr_t

typedef std::shared_ptr<librevenge::RVNGInputStream> libepubgen::RVNGInputStreamPtr_t

## Function Documentation

## ◆ fillPropertyList()

void libepubgen::fillPropertyList | ( | const EPUBCSSProperties & | cssProps,
|  | librevenge::RVNGPropertyList & | props
| ) |  |

Referenced by libepubgen::EPUBParagraphStyleManager::send(), libepubgen::EPUBSpanStyleManager::send(), libepubgen::EPUBTableStyleManager::send(), libepubgen::EPUBImageManager::send(), libepubgen::EPUBListStyleManager::send(), and libepubgen::EPUBFontManager::send().

## ◆ isValidMimeType()

static bool libepubgen::isValidMimeType | ( | const RVNGString & | mediaType | ) |
| static

Checks if the media type is an EPUB 3 Core Media Type or not.

## ◆ make_unique()

template<typename T , typename... Args>

std::unique_ptr<T> libepubgen::make_unique | ( | Args &&... | args | ) |

## ◆ operator!=()

bool libepubgen::operator!= | ( | const EPUBPath & | left,
|  | const EPUBPath & | right
| ) |  |

## ◆ operator/() [1/2]

const EPUBPath libepubgen::operator/ | ( | const EPUBPath & | base,
|  | const EPUBPath & | subpath
| ) |  |

## ◆ operator/() [2/2]

const EPUBPath libepubgen::operator/ | ( | const EPUBPath & | base,
|  | const std::string & | pathComponent
| ) |  |

## ◆ operator==()

bool libepubgen::operator== | ( | const EPUBPath & | left,
|  | const EPUBPath & | right
| ) |  |

## ◆ swap()

void libepubgen::swap | ( | EPUBPath & | left,
|  | EPUBPath & | right
| ) |  |

## Variable Documentation

## ◆ DEFAULT_SPLIT_HEADING_LEVEL

const unsigned libepubgen::DEFAULT_SPLIT_HEADING_LEVEL = 1
| static

## ◆ DEFAULT_SPLIT_SIZE

const unsigned libepubgen::DEFAULT_SPLIT_SIZE = 1 << 16
| static